import { OnInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { Router } from '@angular/router';
import { TranslateService } from '@ngx-translate/core';
import { AuthService } from '../../../services/auth/auth.service';
import { IReqAuthLogin } from '../../../types/requests/ReqAuthLogin';
import { StrapiAuthConfig, StrapiAuthProviders } from '../../../types/StrapiAuthConfig';
import * as i0 from "@angular/core";
export declare class LoginBaseComponent implements OnInit {
    protected authService: AuthService;
    protected router: Router;
    protected translate: TranslateService;
    strapiAuthConfig: StrapiAuthConfig;
    loginReq: IReqAuthLogin;
    formGroup: FormGroup;
    constructor(authService: AuthService, router: Router, translate: TranslateService, strapiAuthConfig: StrapiAuthConfig);
    ngOnInit(): void;
    /**
     * Login for local registered users
     */
    login(): void;
    /**
     * Login using third party provider
     */
    loginProvider(provider: StrapiAuthProviders): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LoginBaseComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LoginBaseComponent, "strapi-login-base", never, {}, {}, never, never>;
}
