import type { Component } from '@angular/core';
import AuthComponents from '../../types/enums/AuthComponents';
import { StrapiAuthConfig } from '../../types/StrapiAuthConfig';
import * as i0 from "@angular/core";
export declare class TemplateService {
    private _config;
    private templates;
    readonly config: StrapiAuthConfig;
    constructor(_config: StrapiAuthConfig);
    /**
     * Get component by ControlType
     * @param authComponent
     * @returns Component
     */
    getComponent(authComponent: AuthComponents): Component;
    /**
     * Inject component for specific template
     * @param template
     * @param authComponent
     */
    setTemplate(template: Component, authComponent: AuthComponents): void;
    /**
     * Get all registered templates
     */
    get RegisteredTemplates(): {
        [id: string]: Component;
    };
    /**
     * Set all default templates for each component
     */
    private setDefaultTemplates;
    /**
     * Map all templates
     */
    private mapTemplates;
    /**
     * Get component by ControlType
     * @param authComponent
     * @returns Component
     */
    private getComponentByType;
    static ɵfac: i0.ɵɵFactoryDeclaration<TemplateService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TemplateService>;
}
