import { Component } from '@angular/core';
import { AuthComponents } from './enums/AuthComponents';
export declare type StrapiAuthProviders = 'github' | 'facebook' | 'google' | 'cognito' | 'twitter' | 'discord' | 'twitch' | 'instagram' | 'vk' | 'linkedin' | 'reddit' | 'auth0';
export declare type StrapiAuthRoutes = {
    login?: string;
    logout?: string;
    register?: string;
    requestPassword?: string;
    resetPassword?: string;
    loginRedirect?: string;
    logoutRedirect?: string;
    requestPasswordRedirect?: string;
};
export declare type StrapiAuthTranslations = {
    [key in AuthComponents]: string;
};
export declare type StrapiAuthTemplates = {
    [key: string]: Component;
};
export interface StrapiAuthConfig {
    strapi_base_url: string;
    auth_providers?: StrapiAuthProviders[];
    routes?: StrapiAuthRoutes;
    translations?: StrapiAuthTranslations;
    templates?: StrapiAuthTemplates;
}
